public class BruchTest {

    public static void main(String[] args) {
        // Bruch-Test
        System.out.println("*** Aufgabe Bruch ergänzen");

        Bruch bruch1 = new Bruch(1, 2);
        Bruch bruch2 = new Bruch(3, 4);
        Bruch bruch3 = bruch1.addiere(bruch2);
        bruch3.gekuerztausgeben();
        System.out.println(bruch3.dezimalwert());
        Bruch bruch4 = bruch1.subtrahiere(bruch2);
        bruch4.gekuerztausgeben();
        System.out.println(bruch4.dezimalwert());

        // Anteil-Test
        System.out.println("");
        System.out.println("*** Aufgabe Anteil");
        int vermoegen = 200000;
        Anteil anteil1 = new Anteil(1, 4);
        Anteil anteil2 = new Anteil(1, 2);
        System.out.println("Anteil anteil1: y" + anteil1.bruchToString());
        System.out.println("Betrag von anteil1: " + vermoegen * anteil1.dezimalwert());
        System.out.println("Anteil anteil2: " + anteil2.bruchToString());
        System.out.println("Betrag von anteil2: " + vermoegen * anteil2.dezimalwert());
        System.out.println("");
        System.out.println("Verteilt: " + Anteil.verteilt.bruchToString());
        System.out.println("Rest: " + anteil1.getRest().bruchToString());
        System.out.println("Restbetrag: " + vermoegen * anteil1.getRest().dezimalwert());

        // Anteil-Test - Überprüfung auf Überschreitung
        System.out.println("");
        System.out.println("*** Aufgabe Anteil mit Überschreitung testen");
        Anteil anteil3 = new Anteil(100, 1);
        System.out.println("Anteil anteil3: " + anteil3.bruchToString());
        System.out.println("");

        try {
            Anteil neueVerteilung = anteil3;
            System.out.println("Neue Verteilung: " + neueVerteilung.bruchToString());
            if (neueVerteilung.dezimalwert() > 1) {
                throw new IllegalArgumentException("Die Anteile überschreiten 100%!");
            }
        } catch (IllegalArgumentException e) {
            System.out.println("Fehler: " + e.getMessage());
        }

    }
}